Mouse, Keyboard disabled in Virtual PC

Bug #109027 reported by Michael Wexler on 2007-04-22
28
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
linux-source-2.6.20 (Ubuntu)
High
Unassigned

Bug Description

Running Ubuntu 7.04 either via LiveCD or by installing under Virtual PC 2004 and 2007 (by Microsoft) results in inability to move mouse, no keyboard. Keyboard can be "reactivated" via Alt-F1, but no workaround for dead mouse. Threads on UbuntuForums about this include http://ubuntuforums.org/showthread.php?t=413899 and http://ubuntuforums.org/showthread.php?t=414138. One person pointed to these Kernal bug threads, unclear if they are actually the issue. https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223606
and https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=234348

Note that exact same configuration settings with 6.10 or 6.06 are completely successful; its something in 7.04.

kacheng (kacheng) wrote :

Confirmed
Guest OS: Feisty 7.04 final released in 19 April
running on Microsoft Virtual PC 2007
Host OS: Windows XP SP2

Tod Pike (tgp-cs) wrote :

See also this bug in the linux-source-2.6.20 tree:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/87262

Michael Wexler (wexler) wrote :

And this bug:

 2007-01-13 No mouse in Herd 2 Desktop CD on Virtual PC https://bugs.launchpad.net/ubuntu/+bug/79117

Some report that this also happens in VMWare as well.

cyphire (brian-canin) wrote :

I note that this is still listed as unconfirmed. Yet there are other threads which state it as well. I installed Ubuntu on Virtual PC 2007 and have the problem. Can get around it by using the keyboard controls, but basically renders it impossible to use. Just trying to learn linux so I can break the MS domination! I hope the core will be fixed to fix the PS/2 mouse driver issue.

Jim Fraley (ubuntu-jimfraley) wrote :

I can confirm what others have reported: Ubuntu 7.04 + MS Virtual PC 2007 = NO MOUSE

shuerhaaken (shkn) wrote :

I can confirm Ubuntu 7.04 + MS Virtual PC 2007 = NO MOUSE
Before, I used edgy on this virtual PC. After the upgrade to feisty the mouse didn't work any more.

indianabeck (davidb-beckb) wrote :

I have two virtual machines set up under MS VPC 2007; one is Ubunu 7.04 and the other is Uguntu 6.10. The mouse works under 6.10 and does not under 7.04. It makes sense this has to do with the PS2 mouse as that is the one MS VPC emulates. I only keep the 7.04 version around waiting for the Ubuntu team to fix it.

I think this is the issue with Open Software. Bug fixes are a long time in coming. Too bad.

Jouni K. Seppänen (jks) wrote :

I have a problem that seems to be related, though I'm not using Virtual PC. In Ubuntu 7.04 my PS/2 keyboard stopped working, although it had worked in 6.10. I started tweaking my BIOS settings, and noticed that I had disabled USB 2.0 support; I think this was as a workaround to some earlier problem, but don't remember the specifics. Enabling USB 2.0 fixes the keyboard problem. The computer is a Shuttle XPC SK41G.

I am attaching the output of lspci -vv when USB 2.0 is disabled in the BIOS; the following diff shows how the output changes when USB 2.0 is enabled.

--- lspci.bad 2007-05-17 23:21:38.000000000 +0300
+++ lspci.good 2007-05-17 23:25:06.000000000 +0300
@@ -81,6 +81,17 @@
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

+00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82) (prog-if 20 [EHCI])
+ Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer FX41 motherboard
+ Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B-
+ Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
+ Latency: 32, Cache Line Size: 64 bytes
+ Interrupt: pin D routed to IRQ 12
+ Region 0: Memory at ec102000 (32-bit, non-prefetchable) [size=256]
+ Capabilities: [80] Power Management version 2
+ Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
+ Status: D0 PME-Enable- DSel=0 DScale=0 PME-
+
 00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
        Subsystem: Holco Enterprise Co, Ltd/Shuttle Computer FX41 motherboard
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B-

kacheng (kacheng) wrote :

Adding a kernel parameter "i8042.noloop" solves the problem for me.

See bottom of https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/87262

Hi All,

The Hardy Heron Alpha series is currently under development and contains an updated version of the kernel. It would be helpful if you could test the latest Hardy Alpha release: http://www.ubuntu.com/testing . You should be able to then test the new kernel via the LiveCD. If you can, please verify if this bug still exists or not and report back your results. We'll keep this report open against the actively developed kernel bug against 2.6.20 this will be closed. Thanks.

Changed in linux-source-2.6.20:
status: Confirmed → Won't Fix
Changed in linux:
status: New → Incomplete

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Andy Whitcroft (apw) wrote :

This bug report is being closed because we received no response to the previous inquiry for information. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04 - http://www.ubuntu.com/getubuntu/download. If the issue remains in Jaunty, please test the latest upstream kernel build - https://wiki.ubuntu.com/KernelMainlineBuilds . To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers